Listeners (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class Listeners

- java.lang.Object
- - org.neo4j.helpers.Listeners

-     public class Listeners
      extends Object

  Helper class for dealing with listeners

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Listeners.Notification<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Listeners()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Iterable<T>` | `addListener(T listener, Iterable<T> listeners)`
    `static <T> Iterable<T>` | `newListeners()`
    `static <T> void` | `notifyListeners(Iterable<T> listeners, Executor executor, Listeners.Notification<T> notification)`
    `static <T> boolean` | `notifyListeners(Iterable<T> listeners, Listeners.Notification<T> notification)`
    `static <T> Iterable<T>` | `removeListener(T listener, Iterable<T> listeners)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Listeners

          public Listeners()

  - ### Method Detail

    - #### newListeners

          public static <T> Iterable<T> newListeners()

    - #### addListener

          public static <T> Iterable<T> addListener(T listener,
                                    Iterable<T> listeners)

    - #### removeListener

          public static <T> Iterable<T> removeListener(T listener,
                                       Iterable<T> listeners)

    - #### notifyListeners

          public static <T> boolean notifyListeners(Iterable<T> listeners,
                                    Listeners.Notification<T> notification)

      Returns:
        `true` if all listeners succeeded, otherwise `false` if one or more failed.

    - #### notifyListeners

          public static <T> void notifyListeners(Iterable<T> listeners,
                                 Executor executor,
                                 Listeners.Notification<T> notification)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.